---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  creationTimestamp: "2022-03-08T10:48:07Z"
  generation: 1
  labels:
    k8s-app: alertmanager
  managedFields:
  - apiVersion: monitoring.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          .: {}
          f:k8s-app: {}
      f:spec:
        .: {}
        f:endpoints: {}
        f:namespaceSelector: {}
        f:selector:
          .: {}
          f:matchLabels:
            .: {}
            f:alertmanager: {}
    manager: operator
    operation: Update
    time: "2022-03-08T10:48:07Z"
  name: alertmanager
  namespace: openshift-monitoring
  resourceVersion: "21422"
  selfLink: /apis/monitoring.coreos.com/v1/namespaces/openshift-monitoring/servicemonitors/alertmanager
  uid: c1f1cbab-e2dd-4f09-8a39-0b858268c3b8
spec:
  endpoints:
  - bearerTokenFile: /var/run/secrets/kubernetes.io/serviceaccount/token
    bearerTokenSecret:
      key: ""
    interval: 30s
    port: web
    scheme: https
    tlsConfig:
      ca: {}
      caFile: /etc/prometheus/configmaps/serving-certs-ca-bundle/service-ca.crt
      cert: {}
      serverName: alertmanager-main.openshift-monitoring.svc
  namespaceSelector: {}
  selector:
    matchLabels:
      alertmanager: main
